Skip to content

/v1/brands

GET
/v1/brands
curl --request GET \
--url 'https://example.com/v1/brands?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'
workspace_id
string format: uuid
limit

Maximum number of items to return (max 100)

integer
default: 50 >= 1 <= 100

Maximum number of items to return (max 100)

offset
integer | null
0

Brands visible to the caller, optionally by workspace

Media typeapplication/json
object
items
required
Array<object>
<= 200 items
object
id
required
string format: uuid
workspace_id
required
string format: uuid
name
required
string
<= 2000 characters
slug
required
string | null
<= 2000 characters
is_primary_brand
required
boolean
is_published
required
boolean
short_url
required
string | null
<= 2000 characters
locale
required
string | null
<= 2000 characters
country_id
required
string | null format: uuid
city
required
string | null
<= 2000 characters
street
required
string | null
<= 2000 characters
zipcode
required
string | null
<= 2000 characters
email
required
string | null
<= 2000 characters
phone
required
string | null
<= 2000 characters
managing_director_under_commercial_law
required
string | null
<= 2000 characters
vat
required
string | null
<= 2000 characters
company_registration_number
required
string | null
<= 2000 characters
producer_identification_number
required
string | null
<= 2000 characters
organic_certification_number
required
string | null
<= 2000 characters
commercial_court
required
string | null
<= 2000 characters
logo_id
required
string | null format: uuid
primary_brand_asset_id
required
string | null format: uuid
default_bottler_id
required
string | null format: uuid
default_distributor_id
required
string | null format: uuid
ppwr_importer_id
required
string | null format: uuid
ppwr_manufacturer_id
required
string | null format: uuid
website
required
string | null
<= 2000 characters
webshop
required
string | null
<= 2000 characters
imprint
required
string | null
<= 2000 characters
imprint_href
required
string | null
<= 2000 characters
privacy_href
required
string | null
<= 2000 characters
facebook
required
string | null
<= 2000 characters
instagram
required
string | null
<= 2000 characters
youtube
required
string | null
<= 2000 characters
tiktok
required
string | null
<= 2000 characters
linkedin
required
string | null
<= 2000 characters
label_bg_hero_color
required
string | null
<= 2000 characters
limit
required
integer
offset
required
integer
total
required
integer
Examplegenerated
{
"items": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"slug": "example",
"is_primary_brand": true,
"is_published": true,
"short_url": "example",
"locale": "example",
"country_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"city": "example",
"street": "example",
"zipcode": "example",
"email": "example",
"phone": "example",
"managing_director_under_commercial_law": "example",
"vat": "example",
"company_registration_number": "example",
"producer_identification_number": "example",
"organic_certification_number": "example",
"commercial_court": "example",
"logo_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"primary_brand_asset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"default_bottler_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"default_distributor_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ppwr_importer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ppwr_manufacturer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"website": "example",
"webshop": "example",
"imprint": "example",
"imprint_href": "example",
"privacy_href": "example",
"facebook": "example",
"instagram": "example",
"youtube": "example",
"tiktok": "example",
"linkedin": "example",
"label_bg_hero_color": "example"
}
],
"limit": 1,
"offset": 1,
"total": 1
}

Invalid query parameters

Media typeapplication/problem+json
object
type
required
string
<= 2000 characters
title
required
string
<= 2000 characters
status
required
number
detail
string
<= 2000 characters
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}

Missing or invalid bearer token

Media typeapplication/problem+json
object
type
required
string
<= 2000 characters
title
required
string
<= 2000 characters
status
required
number
detail
string
<= 2000 characters
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}

Upstream error

Media typeapplication/problem+json
object
type
required
string
<= 2000 characters
title
required
string
<= 2000 characters
status
required
number
detail
string
<= 2000 characters
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}